Subject: [netatalk-admins] Fw: netatalk-1.4b2+asun2.1.1 not compiling

From: "Dusan Vujosevic" <[email-masked]>
Date: Tue, 25 May 1999 16:00:56 -0400

Hello,
I'm new to this list. I hope someone can help me with this problem:

Environment:

x86 box with 2.1 Debian distribution, kernel upped to 2.2.5, Appletalk DDP compiled into the kernel. Trying to compile netatalk-1.4b2+asun2.1.1. PAM, DES commented out in root Makefile (I have PAM installed but -lpam switch on 'ld' fails all the time).

Description:

When I try to compile I get the following message:
 
/usr/lib/libwrap.a(host_access.0): In function 'host_match':
host_access.o(.text+0x4c1): undefined reference to 'yp_get_default_domain'

Am I missing something or is libwrap.a (from Dec 5, 39070 bytes) the right one? How do I get around this?

Repeat-By:

'make' alone or sequence 'make depend' and the 'make' will make it happen.

Thanks in advance,

Dusan